import React from "react";
import { Formik, Field, Form, ErrorMessage } from "formik";
import * as Yup from "yup";
import "./App.css";

function App() {
  const SchemaLoginForm = Yup.object().shape({
    username: Yup.string().required("Username is required."),
    password: Yup.string()
      .matches(
        /^(?=.*?[A-Za-z])(?=.*?[0-9]).{6,}$/,
        "Password has wrong character."
      )
      .required("Password is required"),
  });

  return (
    <Formik
      validationSchema={SchemaLoginForm}
      initialValues={{ username: "", password: "" }}
      onSubmit={(values) => {
        alert(
          "username=" + values.username + " and password=" + values.password
        );
      }}
    >
      {() => (
        <Form>
          <div>
            <label htmlFor="username">Username</label>
            <Field type="username" name="username" />
            <ErrorMessage name="username">
              {(msg) => <di>{msg}</di>}
            </ErrorMessage>
          </div>
          <div>
            <label htmlFor="password">Password</label>
            <Field type="password" name="password" />
            <ErrorMessage name="password">
              {(msg) => <div>{msg}</div>}
            </ErrorMessage>
          </div>
          <div className="">
            <button type="submit">Submit</button>
          </div>
        </Form>
      )}
    </Formik>
  );
}

export default App;
